#include	"basewin.h"

#define		szTitleName		TEXT("MINIEX")

class MainWindow ;
class FileArea ;
class TaskArea ;

class MainApp {
private:
	HINSTANCE	m_hInst ;
	HACCEL		m_hAccl ;
	HFONT		m_hFont ;
	MainWindow	*m_pMainWnd ;
	FileArea	*m_pFileArea ;
	TaskArea	*m_pTaskArea ;

public:
	MainApp() ;
	~MainApp() ;

	BOOL	Create( HINSTANCE hInst ) ;
	int		Run() ;
	BOOL	GetReg() ;
	void	SetReg() const ;
	void	DeleteReg() const ;

	HINSTANCE	get_inst() const {
		return m_hInst ;
	}
	FileArea	*get_file() { return m_pFileArea ; }
	TaskArea	*get_task() { return m_pTaskArea ; }
	HFONT		get_font() const { return m_hFont ; }
} ;

extern "C" {
	extern	TCHAR	MessageBuf[ 512 ] ;
	extern	DWORD	GetFontH( void ) ;
	extern	LPCTSTR	g_szArgs ;
	extern	DWORD	AppVersion ;
} ;
